package com.cours.dao;

import java.util.List;

import com.cours.entities.Adresse;

public interface IAdresseDao {

	public List<Adresse> findAll();

	public Adresse findById(Integer id);

	// chercher des adresses avec leur codePostal
	public List<Adresse> findByRue(String rue);

	// chercher des adresses avec leur codePostal
	public List<Adresse> findByCodePostal(String codePostal);

	// chercher des adresses avec leur ville
	public List<Adresse> findByVille(String ville);

	public Adresse create(Adresse adr);

	public Adresse update(Adresse adr);

	public Boolean delete(Adresse adr);
}
